/*
 * P$GETKEY - Get keystroke & decode
 */

#ifdef   DOCUMENTATION

title    p$getkey    Get Keystroke
index                Get Keystroke

synopsis

	 int *stat;      /* 2-word status block */

	 p$getkey(stat)

description

	The p$getkey directive gets a single keystroke from the terminal.
	The keystroke is not echoed on the screen. POSRES.H contains
	definitions for status/keycodes.

author

	 Bob Denny

#endif

extern getkey();

p$getkey(stat)
int *stat;
   {
   call(getkey, 1, stat);
   return(stat[0]);
   }
